import { ReactElement } from "react";
export type AdvancedSearchProps = {
    definitions: AdvancedSearchDefinition[];
    open?: boolean;
    setOpen?: (o: boolean) => void;
    searchMetadata?: AdvancedSearchDefinition[];
    variant?: "toolbar" | "dialog";
    buttonFaIcon?: string;
    buttonLabel?: string;
    onSearch?: (q: {
        [key: string]: unknown;
    } | undefined) => void;
    onNewSearchPreset?: () => void;
};
export type AdvancedSearchDefinition = {
    id: string | number;
    label: string;
    name: string;
    type: AdvancedSearchBaiscTypes;
    faIcon?: string;
    width?: number;
    renderInput?: <T>(value: T, onChange: (newValue: boolean | string | number | undefined) => void) => ReactElement;
    getFaIcon?: (v: string | boolean | number) => string;
};
export type SearchableProps = {
    index: number;
    onDelete: (i: number) => void;
    definition?: AdvancedSearchDefinition;
};
export type AdvancedSearchBaiscTypes = "int" | "bool" | "date" | "string";
