import { CollapseProps, FadeProps, GrowProps, SlideProps, ZoomProps } from "@mui/material";
type AnimType = "grow" | "fade" | "slide" | "zoom" | "collapse";
type AnimProps = GrowProps | FadeProps | SlideProps | ZoomProps | CollapseProps;
type RequireAtLeastOne<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Pick<T, Exclude<Keys, K>>>;
}[Keys];
interface ListProps {
    children: RequireAtLeastOne<any, "key">[] | RequireAtLeastOne<any, "key">;
    animation?: AnimType;
    animationProps?: AnimProps;
    initialAnimationDuration?: number;
}
export default function NerdAnimatedList({ children, animation, animationProps, initialAnimationDuration, }: ListProps): import("react/jsx-runtime").JSX.Element;
export {};
