import { jsx as _jsx } from "react/jsx-runtime";
import { Box } from "@mui/material";
import { useEffect } from "react";
import NerdCurrencyField from "./nerdCurrencyField";
/**
 *
 * @param {object} props Component props
 * @param {GridRenderEditCellParams} props.cellParams Cell Params
 * @param {MutableRefObject<GridApiPro>} props.apiRef Mui DataGrid ApiRef
 * @param {NerdCurrencyFieldProps} props.nerdCurrencyFieldProps NerdCurrencyFieldProps
 * @returns {ReactElement} NerdCurrencyFieldDataGridAdapter
 */
export function NerdCurrencyFieldDataGridAdapter(props) {
    const { apiRef, cellParams, nerdCurrencyFieldProps } = props;
    useEffect(() => {
        const value = cellParams.value;
        if (typeof value === "string" && value != "-") {
            if (Number.isNaN(Number(value))) {
                apiRef.current.setEditCellValue({ ...cellParams, value: 0 });
            }
            else {
                apiRef.current.setEditCellValue({
                    ...cellParams,
                    value: Number(value),
                });
            }
        }
    }, [cellParams.value]);
    return (_jsx(Box, { sx: { display: "flex", alignItems: "center", p: 1 }, children: _jsx(NerdCurrencyField, { ...nerdCurrencyFieldProps, value: cellParams.value, onChange: (e) => {
                apiRef.current.setEditCellValue({
                    ...cellParams,
                    value: e,
                    unstable_skipValueParser: true,
                });
            } }) }));
}
